Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005960 [DCSS] Bug Report crash have not tried 2012-07-20 18:41 2014-02-24 18:32
Reporter Tenaya View Status public  
Assigned To mumra
Priority normal Resolution done  
Status closed   Product Branch 0.11 ancient branch
Summary 0005960: Game crashed as I descended stairs from DL 7 to 8
Description I descended a set of stairs trying to go from DL 7 to 8 and the game crashed without prompt. Information below:

[T]ransfer your save to the latest version (0.11-a0-2933-g635fb42)?
T

ASSERT(book_pos > 0 && max_levels >= 0) in 'spl-book.cc' at line 2047 failed.
Writing crash info to /dgldir/ttyrec/Tenaya/crash-Tenaya-20120720-163140.txt
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022762)
mumra (developer)
2013-05-21 17:52

I believe this was fixed by b9ee14c00e75a5dc8af308a29f75a6141b35d19b "Don't crash on slevels:1 theme randbooks." (31/08/2012)

This commit rewrote the ASSERT in question to allow for the fact that book_pos could be zero.

Closing.

- Issue History
Date Modified Username Field Change
2012-07-20 18:41 Tenaya New Issue
2013-03-31 07:48 mumra Issue Monitored: mumra
2013-05-21 17:52 mumra Note Added: 0022762
2013-05-21 17:52 mumra Status new => resolved
2013-05-21 17:52 mumra Fixed in Branch => 0.13 development branch
2013-05-21 17:52 mumra Resolution open => done
2013-05-21 17:52 mumra Assigned To => mumra
2014-02-24 18:32 Tenaya Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker